package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 业务管理 保证金退款确认
 * </p>
 *
 * @author liutao
 * @since 2023-02-28
 */
@TableName("business_refund_deposit_confirmation")
public class BusinessRefundDepositConfirmation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 业务基本信息表Id
     */
    @TableField("business_basic_info_id")
    private Long businessBasicInfoId;

    /**
     *  保证金退还  1确认
     */
    @TableField("refund_deposit")
    private Integer refundDeposit;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    /**
     * 退还凭证
     */
    @TableField(exist = false)
    private List<FileStorage> returnVoucher;

    public List<FileStorage> getReturnVoucher() {
        return returnVoucher;
    }

    public void setReturnVoucher(List<FileStorage> returnVoucher) {
        this.returnVoucher = returnVoucher;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }
    public Integer getRefundDeposit() {
        return refundDeposit;
    }

    public void setRefundDeposit(Integer refundDeposit) {
        this.refundDeposit = refundDeposit;
    }

    @Override
    public String toString() {
        return "BusinessRefundDepositConfirmation{" +
            "businessBasicInfoId=" + businessBasicInfoId +
            ", refundDeposit=" + refundDeposit +
        "}";
    }
}
